<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Tournament (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Tournament (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tournament.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/tournament/Tournament.html" target="_top">Frames</a></li>
<li><a href="Tournament.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main.tournament</div>
<h2 title="Class Tournament" class="title">Class Tournament</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.tournament.Tournament</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Tournament</span>
extends java.lang.Object</pre>
<div class="block">Class <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a> to start a given number of <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.7 July 05th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Niklas Mueller</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#boardSize">boardSize</a></span></code>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#debug">debug</a></span></code>
<div class="block">Boolean debug indicating if debug mode is activated and additional information should be given</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#delayTime">delayTime</a></span></code>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#games">games</a></span></code>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#hasView">hasView</a></span></code>
<div class="block">boolean that is set to true if a View object is passed to the constructor, false if null is passed</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#players">players</a></span></code>
<div class="block">Array of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, to  be able to switch the <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> in every other <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament">TSave</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#save">save</a></span></code>
<div class="block">TSave object for being able to save and load tournaments</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#timeOut">timeOut</a></span></code>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#view">view</a></span></code>
<div class="block"><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#Tournament-towerwarspp.preset.Player:A-towerwarspp.io.View-boolean-int-int-int-int-">Tournament</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players,
          <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
          boolean&nbsp;debug,
          int&nbsp;delayTime,
          int&nbsp;boardSize,
          int&nbsp;games,
          int&nbsp;timeOut)</code>
<div class="block">Constructor setting every parameter as given.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#play-boolean-">play</a></span>(boolean&nbsp;statistic)</code>
<div class="block">Method play to start the <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="players">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>players</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[] players</pre>
<div class="block">Array of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, to  be able to switch the <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> in every other <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></div>
</li>
</ul>
<a name="view">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>view</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> view</pre>
<div class="block"><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with</div>
</li>
</ul>
<a name="hasView">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasView</h4>
<pre>private&nbsp;boolean hasView</pre>
<div class="block">boolean that is set to true if a View object is passed to the constructor, false if null is passed</div>
</li>
</ul>
<a name="debug">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>private&nbsp;boolean debug</pre>
<div class="block">Boolean debug indicating if debug mode is activated and additional information should be given</div>
</li>
</ul>
<a name="delayTime">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delayTime</h4>
<pre>private&nbsp;int delayTime</pre>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.
 boardSize setting size of the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with.
 games setting number of <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s to be played.
 timeOut setting maximum time for a <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> to last, stops if gametime exceeds this</div>
</li>
</ul>
<a name="boardSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boardSize</h4>
<pre>private&nbsp;int boardSize</pre>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.
 boardSize setting size of the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with.
 games setting number of <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s to be played.
 timeOut setting maximum time for a <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> to last, stops if gametime exceeds this</div>
</li>
</ul>
<a name="games">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>games</h4>
<pre>private&nbsp;int games</pre>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.
 boardSize setting size of the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with.
 games setting number of <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s to be played.
 timeOut setting maximum time for a <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> to last, stops if gametime exceeds this</div>
</li>
</ul>
<a name="timeOut">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timeOut</h4>
<pre>private&nbsp;int timeOut</pre>
<div class="block">Integer delayTime setting time to wait after every <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> has been made.
 boardSize setting size of the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with.
 games setting number of <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s to be played.
 timeOut setting maximum time for a <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> to last, stops if gametime exceeds this</div>
</li>
</ul>
<a name="save">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>save</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament">TSave</a> save</pre>
<div class="block">TSave object for being able to save and load tournaments</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Tournament-towerwarspp.preset.Player:A-towerwarspp.io.View-boolean-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Tournament</h4>
<pre>public&nbsp;Tournament(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players,
                  <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
                  boolean&nbsp;debug,
                  int&nbsp;delayTime,
                  int&nbsp;boardSize,
                  int&nbsp;games,
                  int&nbsp;timeOut)</pre>
<div class="block">Constructor setting every parameter as given.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>players</code> - array of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</dd>
<dd><code>view</code> - <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object to be able to visualize the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></dd>
<dd><code>debug</code> - boolean activating debug-mode</dd>
<dd><code>delayTime</code> - integer setting time to wait after every <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></dd>
<dd><code>boardSize</code> - integer setting board size</dd>
<dd><code>games</code> - number of <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="play-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>play</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament">TResult</a>&nbsp;play(boolean&nbsp;statistic)
             throws java.lang.Exception</pre>
<div class="block">Method play to start the <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a>. Starting as many <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s as class variable games is indicating.
 <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, and so the starting <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, is swapping after every <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>.
 <a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> of every <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> will be written on standard output and a statistic of the whole <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a> as well.
 If a <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> exceeds a given number of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s, this <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> will be stopped.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><code>TResult</code></a> providing a statistic about this <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tournament.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/tournament/Tournament.html" target="_top">Frames</a></li>
<li><a href="Tournament.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
